tigase.jaxmpp.core.client.xmpp.modules.mam

## Class MessageArchiveManagementModule.Query

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.mam.MessageArchiveManagementModule.Query

- Enclosing class:
    MessageArchiveManagementModule

      public static class MessageArchiveManagementModule.Query
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Query()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Date` | `getEnd()`
    `Date` | `getStart()`
    `JID` | `getWith()`
    `void` | `setEnd(Date end)`
    `void` | `setStart(Date start)`
    `void` | `setWith(JID with)`
    `JabberDataElement` | `toJabberDataElement(DateTimeFormat df)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Query

          public Query()

  - ### Method Detail

    - #### getEnd

          public Date getEnd()

    - #### setEnd

          public void setEnd(Date end)

    - #### getStart

          public Date getStart()

    - #### setStart

          public void setStart(Date start)

    - #### getWith

          public JID getWith()

    - #### setWith

          public void setWith(JID with)

    - #### toJabberDataElement

          public JabberDataElement toJabberDataElement(DateTimeFormat df)
                                                throws XMLException

      Throws:
        `XMLException`

Copyright © 2006–2020 Tigase. All rights reserved.